.slider-gral{
	margin-top: px;
	margin-bottom: 10px;
	align-content: center;
	justify-content: center;
	text-align: center;
	
	
	
	
	
}
.slide-gral img{
	max-width: 100%;
	
	
	
	
}
.container-all{
	margin-top: 55px;
	display: inline-block;
	position: relative;
	max-width: 1024px;
	width: 100%;
	
	box-shadow: 100px;
	box-sizing: border-box 10px #444;
	overflow: hidden;
	
	
}

.slide{
	
	display: flex;
	transform: translate3d(0, 0, 0);
	transition: all 300ms;
	animation-name: autoplay;
	animation-duration: 25s;
	animation-direction: alternate;
	animation-fill-mode: forwards;
	animation-iteration-count: infinite;
	
	

	
	
}


.item-slide{
	position: relative;
	display: flex;
	flex-direction: column;
	flex-shrink: 0;
	flex-grow: 0;
	max-width: 100%;
	
}


.pagination{
	position: absolute;
	bottom: 20px;
	left: 0;
	display: flex;
	flex-wrap: wrap;
	align-items: center;
	justify-content: center;
	width: 100%;
}

.pagination-item{
	display: flex;
	flex-direction: column;
	align-items: center;
	border: 1px solid white;
	width: 12px;
	height: 12px;
	border-radius: 4px;
	overflow: hidden;
	cursor: pointer;
	background: rgba(255, 255, 255, 0.5);
	margin: 0 10px;
	text-align: center;
	transition: all 300ms;
	
	
	
}

.pagination-item:hover{
transform: scale(3);
	 
}

.pagination-item img{
	display: inline-block;
	max-width: none;
	height: 100%;
	transform: scale(1);
	opacity: 0;
	transition: all 300ms;
	
	
}
.pagination-item:hover img{
	opacity: 1;
	transform: scale(1);
}

input[id="1"]:checked ~ .slide{
	animation: none;
	transform: translate3d(0, 0, 0)
}

input[id="1"]:checked ~ .pagination .pagination-item[for="1"]{
	background: #fff;
}

input[id="2"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 1), 0, 0)
}

input[id="2"]:checked ~ .pagination .pagination-item[for="2"]{
	background: #fff;
}

input[id="3"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 2), 0, 0)
}

input[id="3"]:checked ~ .pagination .pagination-item[for="3"]{
	background: #fff;
}
input[id="3"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 2), 0, 0)
}

input[id="4"]:checked ~ .pagination .pagination-item[for="4"]{
	background: #fff;
}
input[id="4"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 3), 0, 0)
}

input[id="5"]:checked ~ .pagination .pagination-item[for="5"]{
	background: #fff;
}
input[id="5"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 4), 0, 0)
}

input[id="6"]:checked ~ .pagination .pagination-item[for="6"]{
	background: #fff;
}
input[id="6"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 5), 0, 0)
}

input[id="7"]:checked ~ .pagination .pagination-item[for="7"]{
	background: #fff;
}
input[id="7"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 6), 0, 0)
}

input[id="8"]:checked ~ .pagination .pagination-item[for="8"]{
	background: #fff;
}
input[id="8"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 7), 0, 0)
}

input[id="9"]:checked ~ .pagination .pagination-item[for="9"]{
	background: #fff;
}
input[id="9"]:checked ~ .slide{
	animation: none;
	transform: translate3d(calc(-100% * 8), 0, 0)
}


@keyframes autoplay{
	11%{
		transform: translate3d(calc(-100% *0), 0, 0)
	}
	22%{
		transform: translate3d(calc(-100% *1), 0, 0)
	}
	33%{
		transform: translate3d(calc(-100% *2), 0, 0)
	}
	44%{
		transform: translate3d(calc(-100% *3), 0, 0)
	}
	55%{
		transform: translate3d(calc(-100% *4), 0, 0)
	}
	66%{
		transform: translate3d(calc(-100% *5), 0, 0)
	}
	77%{
		transform: translate3d(calc(-100% *6), 0, 0)
	}
	88%{
		transform: translate3d(calc(-100% *7), 0, 0)
	}
	100%{
		transform: translate3d(calc(-100% *8), 0, 0)
	}
}